Package: groovy.json.internal

## [Java] Class JsonParserUsingCharacterSource

- groovy.json.internal.JsonParserUsingCharacterSource

- Converts an input JSON String into Java objects works with String or char array as input. Produces an Object which can be any of the basic JSON types mapped to Java.

  Authors:
    Rick Hightower

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static char[]` | `FALSE` |
    `protected static char[]` | `NULL` |
    `protected static char[]` | `TRUE` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BaseJsonParser` | `ALPHA_0, ALPHA_1, ALPHA_2, ALPHA_3, ALPHA_4, ALPHA_5, ALPHA_6, ALPHA_7, ALPHA_8, ALPHA_9, CLOSED_BRACKET, CLOSED_CURLY, COLON, COMMA, DECIMAL_POINT, DOUBLE_QUOTE, ESCAPE, LETTER_BIG_E, LETTER_E, MINUS, PLUS, bufSize, charset, internKeys, internedKeysCache`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `complain(String complaint)`
    `` | `protected boolean` | `decodeFalse()`
    `` | `protected List` | `decodeJsonArray()`
    `` | `protected Object` | `decodeJsonObject()`
    `` | `protected Object` | `decodeNull()`
    `` | `protected boolean` | `decodeTrue()`
    `` | `protected String` | `exceptionDetails(String message)`
    `` | `Object` | `parse(Reader reader)`
    `` | `Object` | `parse(char[] chars)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BaseJsonParser` | `charDescription, findEndQuote, hasEscapeChar, isDecimalChar, isDelimiter, isDoubleQuote, isEscape, isNumberDigit, parse, parse, parse, parse, parse, parse, parse, parse, setCharset`

- - ### Field Detail

    - #### protected static char[] FALSE

    - #### protected static final char[] NULL

    - #### protected static final char[] TRUE

  - ### Method Detail

    - #### protected final void complain(String complaint)

    - #### protected final boolean decodeFalse()

    - #### protected final List decodeJsonArray()

    - #### protected final Object decodeJsonObject()

    - #### protected final Object decodeNull()

    - #### protected final boolean decodeTrue()

    - #### protected String exceptionDetails(String message)

    - #### public Object parse(Reader reader)

    - #### public Object parse(char[] chars)